<?php
/*
 * Copyright (c) 2012 Go Daddy Operating Company, LLC
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

namespace GDAPI;

class VariableCache extends AbstractCache
{
  private static $cache = array();

  public static function get($key, &$status = false)
  {
    $status = true;
    if ( isset(self::$cache[self::$prefix . $key]) )
    { 
      return self::$cache[self::$prefix . $key];
    }

    $status = false;
    return null;
  }

  public static function set($key, $val, $ttl = null)
  {
    self::$cache[self::$prefix . $key] = $val;
    return true;
  }

  public static function remove($key)
  {
    if (!isset(self::$cache[self::$prefix . $key]))
    {  
      return false;
    }  

    unset(self::$cache[self::$prefix . $key]);
    return true;
  }

  public static function clear()
  {
    self::$cache = array();
    return true;
  }
}

?>
